# PSF-LoginServer - master - net.psforever.objects.avatar.Certification.ArmoredAssault2
PSF - LoginServer - master - net.psforever.objects.avatar.Certification.ArmoredAssault2
Keywords: PSF LoginServer master net.psforever.objects.avatar.Certification.ArmoredAssault2

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  case object Certification extends IntEnum[Certification] with Product with Serializable
  Definition Classes
    avatar
- AAMAX
- AIMAX
- ATV
- AVMAX
- AdvancedEngineering
- AdvancedHacking
- AdvancedMedical
- AgileExoSuit
- AirCavalryAssault
- AirCavalryInterceptor
- AirCavalryScout
- AirSupport
- AntiVehicular
- ArmoredAssault1
- ArmoredAssault2
- AssaultBuggy
- AssaultEngineering
- BFRAntiAircraft
- BFRAntiInfantry
- BattleFrameRobotics
- CombatEngineering
- DataCorruption
- ElectronicsExpert
- EliteAssault
- Engineering
- ExpertHacking
- Flail
- FortificationEngineering
- GalaxyGunship
- GroundSupport
- GroundTransport
- Hacking
- Harasser
- HeavyAssault
- InfiltrationSuit
- LightScout
- Medical
- MediumAssault
- Phantasm
- ReinforcedExoSuit
- Sniping
- SpecialAssault
- StandardAssault
- StandardExoSuit
- Switchblade
- UniMAX

o

net.psforever.objects.avatar.Certification

# ArmoredAssault2

###

#### case object ArmoredAssault2 extends Certification with Product with Serializable

Source
  Certification.scala

Linear Supertypes
Serializable, Product, Equals, Certification, IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ArmoredAssault2
2. Serializable
3. Product
4. Equals
5. Certification
6. IntEnumEntry
7. ValueEnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val cost: Int
   Definition Classes
     Certification
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val name: String
    Definition Classes
      Certification
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val replaces: Set[Certification]
    Definition Classes
      Certification
19.  val requires: Set[Certification]
    Definition Classes
      Certification
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  val value: Int
    Definition Classes
      Certification → ValueEnumEntry
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Certification

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped